Bug 683136 - Include hibernate-annotations.jar in remote api/cli download
Include hibernate-annotations.jar in remote api/cli download
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: CLI (Show other bugs)
4.0.0.B02
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
Corey Welton
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2011-03-08 11:27 EST by Ivan
Modified: 2013-08-05 20:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:13:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ivan 2011-03-08 11:27:24 EST
Description of problem:
classes compiled against the JON remote api bundled with the downloaded cli-client will fail with the following compile error 


Information:An exception has occurred in the compiler (1.6.0_17). Please file a bug at the Java Developer Connection (http://java.sun.com/webapps/bugreport)  after checking the Bug Parade for duplicates. Include your program and the following diagnostic in your report.  Thank you.
Information:com.sun.tools.javac.code.Symbol$CompletionFailure: class file for org.hibernate.annotations.CascadeType not found
Information:Compilation completed with 1 error and 0 warnings
Information:1 error
Information:0 warnings


Error:Compiler internal error. Process terminated with exit code 4 

Version-Release number of selected component (if applicable):jon 2.4.1


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
adding JON_SERVER/jbossas/client/hibernate-annotations.jar to the projects classpath will resolve this issue.
Comment 1 Ian Springer 2011-04-05 13:10:02 EDT
[master 1a711ed] adds hibernate-annotations.jar to the CLI's lib dir, so you should now be able to compile custom RHQ remote clients using CLI/lib/*.jar as the compile classpath. 

However, if you are using Maven to build your custom client, an easier way to go would be to add a dependency on the rhq-remoting-client-api aggregator pom as follows:

      <dependency>
         <groupId>org.rhq</groupId>
         <artifactId>rhq-remoting-client-api</artifactId>
         <version>${rhq.version}</version>
      </dependency>

That should transitively pull in all the jars that are needed by a remote client.
Comment 2 Mike Foley 2011-04-19 08:57:00 EDT
downloaded the rhq-remoting-cli-4.0.0-SNAPSHOT.zip file from the 4/29/2011 release.  verified that the CLI jar file contains hibernate-annotations-3.2.1.jar
Comment 3 Corey Welton 2011-05-23 21:13:34 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 4 Corey Welton 2011-05-23 21:13:34 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:13:34 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.